<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 14 15:58:36 EEST 2020 -->
<title>Executer</title>
<meta name="date" content="2020-04-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Executer";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Executer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?start/Executer.html" target="_top">Frames</a></li>
<li><a href="Executer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">start</div>
<h2 title="Class Executer" class="title">Class Executer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>start.Executer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Executer</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#clientReportNb">clientReportNb</a></span></code>
<div class="block">clientReportNb represents the number of the client report</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#command">command</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#fileCounter">fileCounter</a></span></code>
<div class="block">fileCounter represents the number of the generated file when an order is inserted (i.e.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#orderReportNb">orderReportNb</a></span></code>
<div class="block">orderReportNb represents the number of the order report</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#productReportNb">productReportNb</a></span></code>
<div class="block">productReportNb represents the number of the product report</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../start/Executer.html#Executer--">Executer</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execDeleteClient-java.lang.String-int-">execDeleteClient</a></span>(java.lang.String&nbsp;s,
                int&nbsp;index)</code>
<div class="block">Extracts the parameters from the command string and executes the appropriate clientBll method for deletion</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execDeleteProduct-java.lang.String-int-">execDeleteProduct</a></span>(java.lang.String&nbsp;s,
                 int&nbsp;index)</code>
<div class="block">Extracts the parameters from the command string and executes the appropriate productBll method for deletion</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execInsertClient-java.lang.String-int-">execInsertClient</a></span>(java.lang.String&nbsp;s,
                int&nbsp;index)</code>
<div class="block">Extracts the parameters form the command string and executes the appropriate clientBll method for insertion</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execInsertProduct-java.lang.String-int-">execInsertProduct</a></span>(java.lang.String&nbsp;s,
                 int&nbsp;index)</code>
<div class="block">Extracts the parameters from the command string and executes the appropriate productBll method for insertion</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execOrder-java.lang.String-int-int-">execOrder</a></span>(java.lang.String&nbsp;s,
         int&nbsp;index,
         int&nbsp;fileNb)</code>
<div class="block">Extracts the parameters from the command string and executes the appropriate orderBll method for insertion if the 
 product with id porductId and the client with the id clientId exist</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execReportClient-int-">execReportClient</a></span>(int&nbsp;fileNb)</code>
<div class="block">Calls the clientBLL's reprotClient() method</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execReportOrder-int-">execReportOrder</a></span>(int&nbsp;fileNb)</code>
<div class="block">Calls the orderBLL's reprotOrder() method</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#execReportProduct-int-">execReportProduct</a></span>(int&nbsp;fileNb)</code>
<div class="block">Calls the productBLL's reprotProduct() method</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#getCmd-java.lang.String-">getCmd</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Forms a string based on an input string s</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../start/Executer.html#parseCommand-java.lang.String-">parseCommand</a></span>(java.lang.String&nbsp;s)</code>
<div class="block">Identifies which is the command to be executed</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="command">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>command</h4>
<pre>private&nbsp;java.lang.String command</pre>
</li>
</ul>
<a name="fileCounter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileCounter</h4>
<pre>private&nbsp;int fileCounter</pre>
<div class="block">fileCounter represents the number of the generated file when an order is inserted (i.e. number of the bill)</div>
</li>
</ul>
<a name="clientReportNb">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clientReportNb</h4>
<pre>private&nbsp;int clientReportNb</pre>
<div class="block">clientReportNb represents the number of the client report</div>
</li>
</ul>
<a name="productReportNb">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productReportNb</h4>
<pre>private&nbsp;int productReportNb</pre>
<div class="block">productReportNb represents the number of the product report</div>
</li>
</ul>
<a name="orderReportNb">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>orderReportNb</h4>
<pre>private&nbsp;int orderReportNb</pre>
<div class="block">orderReportNb represents the number of the order report</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Executer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Executer</h4>
<pre>public&nbsp;Executer()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="parseCommand-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseCommand</h4>
<pre>public&nbsp;void&nbsp;parseCommand(java.lang.String&nbsp;s)</pre>
<div class="block">Identifies which is the command to be executed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
</dl>
</li>
</ul>
<a name="getCmd-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCmd</h4>
<pre>public&nbsp;int&nbsp;getCmd(java.lang.String&nbsp;s)</pre>
<div class="block">Forms a string based on an input string s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>command</dd>
</dl>
</li>
</ul>
<a name="execInsertClient-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execInsertClient</h4>
<pre>void&nbsp;execInsertClient(java.lang.String&nbsp;s,
                      int&nbsp;index)</pre>
<div class="block">Extracts the parameters form the command string and executes the appropriate clientBll method for insertion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dd><code>index</code> - </dd>
</dl>
</li>
</ul>
<a name="execInsertProduct-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execInsertProduct</h4>
<pre>void&nbsp;execInsertProduct(java.lang.String&nbsp;s,
                       int&nbsp;index)</pre>
<div class="block">Extracts the parameters from the command string and executes the appropriate productBll method for insertion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dd><code>index</code> - </dd>
</dl>
</li>
</ul>
<a name="execDeleteClient-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execDeleteClient</h4>
<pre>public&nbsp;void&nbsp;execDeleteClient(java.lang.String&nbsp;s,
                             int&nbsp;index)</pre>
<div class="block">Extracts the parameters from the command string and executes the appropriate clientBll method for deletion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dd><code>index</code> - </dd>
</dl>
</li>
</ul>
<a name="execDeleteProduct-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execDeleteProduct</h4>
<pre>public&nbsp;void&nbsp;execDeleteProduct(java.lang.String&nbsp;s,
                              int&nbsp;index)</pre>
<div class="block">Extracts the parameters from the command string and executes the appropriate productBll method for deletion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dd><code>index</code> - </dd>
</dl>
</li>
</ul>
<a name="execOrder-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execOrder</h4>
<pre>public&nbsp;void&nbsp;execOrder(java.lang.String&nbsp;s,
                      int&nbsp;index,
                      int&nbsp;fileNb)</pre>
<div class="block">Extracts the parameters from the command string and executes the appropriate orderBll method for insertion if the 
 product with id porductId and the client with the id clientId exist</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - </dd>
<dd><code>index</code> - </dd>
</dl>
</li>
</ul>
<a name="execReportClient-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execReportClient</h4>
<pre>public&nbsp;void&nbsp;execReportClient(int&nbsp;fileNb)</pre>
<div class="block">Calls the clientBLL's reprotClient() method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileNb</code> - </dd>
</dl>
</li>
</ul>
<a name="execReportProduct-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execReportProduct</h4>
<pre>public&nbsp;void&nbsp;execReportProduct(int&nbsp;fileNb)</pre>
<div class="block">Calls the productBLL's reprotProduct() method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileNb</code> - </dd>
</dl>
</li>
</ul>
<a name="execReportOrder-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>execReportOrder</h4>
<pre>public&nbsp;void&nbsp;execReportOrder(int&nbsp;fileNb)</pre>
<div class="block">Calls the orderBLL's reprotOrder() method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileNb</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Executer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?start/Executer.html" target="_top">Frames</a></li>
<li><a href="Executer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
